#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5
visibility:           public
id:                   typst-0.5-HsXLtscFxk93ZXbx2NGmK4
key:                  typst-0.5-HsXLtscFxk93ZXbx2NGmK4
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  66abc3f53329590992d43bccdc2d486e
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5-HsXLtscFxk93ZXbx2NGmK4
depends:
    aeson-2.1.2.1-4G6NRH3Yicj9TKX8fXoWTr array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.1-Azaklg4BLTk4uaygxKQViU
    containers-0.6.5.1 digits-0.3.1-JAWYbswFFGLENqPkU2TOK8
    directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.3-Ee6QR9weM8P1AVLTbz9WQP parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-9KQuOdDpiBL9UBsQEK6k8E
    scientific-0.3.7.0-8x4tZ4xzXsRTNLFKkeuvD text-1.2.5.0 time-1.11.1.1
    toml-parser-1.3.1.3-74VCZ81Snzm27djTiuLizp
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-xP3uH1g3cPFld8g0jCD5r
    xml-conduit-1.9.1.3-AwLhlaz27ql1567v7tH4L6
    yaml-0.11.11.2-5iEcWtzaUe01xKRCgCieOl

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

